<template>
  <div>
    <section
      class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center"
    >
      <img
        src="/mentor-banner.webp"
        class="absolute top-0 bottom-0 left-0 right-0 object-cover object-center w-full h-full select-none opacity-20"
        alt=""
        loading="lazy"
      />
      <div
        class="relative px-10 w-full lg:mx-auto text-center lg:px-0 lg:max-w-6xl mt-[40px]"
      >
        <div class="relative block w-full text-left md:hidden">
          <div>
            <button
              @click.prevent="topicsBox = !topicsBox"
              class="relative w-full btn btn-primary btn-selector"
              :class="[{ active: topicsBox }, { 'rounded-b-none': topicsBox }]"
            >
              Tópicos

              <svg
                xmlns="http://www.w3.org/2000/svg"
                class="w-4 h-4 ml-3"
                fill="none"
                viewBox="0 0 24 24"
                stroke="currentColor"
                stroke-width="3"
              >
                <path
                  v-if="!topicsBox"
                  stroke-linecap="round"
                  stroke-linejoin="round"
                  d="M19 9l-7 7-7-7"
                />
                <path
                  v-else
                  stroke-linecap="round"
                  stroke-linejoin="round"
                  d="M5 15l7-7 7 7"
                />
              </svg>
            </button>
          </div>

          <transition
            v-if="topicsBox"
            enter-active-class="transition duration-100 ease-out"
            enter-from-class="transform scale-95 opacity-0"
            enter-to-class="transform scale-100 opacity-100"
            leave-active-class="transition duration-75 ease-in"
            leave-from-class="transform scale-100 opacity-100"
            leave-to-class="transform scale-95 opacity-0"
          >
            <div
              class="absolute right-0 z-10 w-full pt-2 overflow-hidden origin-top-right shadow-lg bg-primary rounded-b-md focus:outline-none"
              role="menu"
              aria-orientation="vertical"
              aria-labelledby="menu-button"
              tabindex="-1"
            >
              <div class="text-center" role="none">
                <button
                  v-for="(item, index) in topics"
                  :key="index"
                  class="inline-block w-full px-4 py-2 text-base font-semibold hover:bg-white text-secondary"
                  :class="[
                    {
                      'text-secondary font-semibold bg-white':
                        index === currentTopic,
                    },
                  ]"
                  @click.prevent="
                    currentTopic = index
                    topicsBox = false
                  "
                >
                  {{ item.topic }}
                </button>
              </div>
            </div>
          </transition>
        </div>
        <h1
          class="relative hidden md:flex flex-col items-center justify-center mb-10 text-3xl font-normal uppercase lg:flex-row text-primary lg:text-6xl bai mt-[40px]"
        >
          <img
            src="/mentor.webp"
            class="object-contain w-auto h-12 lg:h-24"
            alt=""
          />
        </h1>
      </div>
    </section>

    <section id="topics" class="relative py-16 bg-secondary">
      <div class="container px-10">
        <div class="grid col-span-1 gap-8 md:grid-cols-7">
          <div class="hidden md:block md:col-span-2">
            <div class="rounded-2xl bg-[#12191F] p-10">
              <h3 class="mb-10 text-2xl font-bold text-white md:block">
                Temas
              </h3>

              <ul class="md:block hidden space-y-8 lg:h-[60vh] overflow-y-auto">
                <li v-for="(item, index) in topics" :key="index">
                  <button
                    class="text-base text-left text-muted hover:text-primary"
                    :class="[
                      { 'text-primary font-semibold': index === currentTopic },
                    ]"
                    @click.prevent="currentTopic = index"
                  >
                    {{ item.topic }}
                  </button>
                </li>
              </ul>
            </div>
          </div>
          <div class="md:col-span-5">
            <div
              class="flex flex-col items-center justify-between h-full bg-transparent rounded-2xl"
            >
              <div>
                <h3 class="section-title text-primary">
                  {{ topics[currentTopic].topic }}
                </h3>

                <div
                  v-html="topics[currentTopic].content"
                  class="text-base leading-10 whitespace-pre-line text-muted montserrat"
                ></div>
              </div>

              <div class="flex items-center justify-center mt-16 space-x-8">
                <nuxt-link
                  :to="{ path: '/aprende/mentor', hash: '#topics' }"
                  class="btn btn-white"
                  :class="[
                    { 'opacity-25 pointer-events-none': currentTopic === 0 },
                  ]"
                  @click.native="currentTopic = currentTopic - 1"
                >
                  Anterior
                </nuxt-link>
                <nuxt-link
                  :to="{ path: '/aprende/mentor', hash: '#topics' }"
                  class="btn btn-primary"
                  :class="[
                    {
                      'opacity-25 pointer-events-none':
                        currentTopic === topics.length - 1,
                    },
                  ]"
                  @click.native="currentTopic = currentTopic + 1"
                >
                  Siguiente
                </nuxt-link>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>
<script>
export default {
  name: 'MentorPage',

  nuxtI18n: {
    paths: {
      en: '/learn/consulting',
      es: '/aprende/mentor',
    },
  },

  data() {
    return {
      topicsBox: false,
      currentTopic: 0,
    }
  },

  computed: {
    topics () { return this.$t('consulting.topics') }
  }
}
</script>

<style></style>
